> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Move Multiple Entities

> Handles the process of moving multiple entities to a different program,
     *          including updating entity records and clearing relevant caches.



## OpenAPI

````yaml put /admin/entities/move
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/entities/move:
    put:
      tags:
        - Programs
      summary: Move Multiple Entities
      description: |-
        Handles the process of moving multiple entities to a different program,
             *          including updating entity records and clearing relevant caches.
      operationId: postMoveEntities
      requestBody:
        description: Data required to move multiple entities
        required: true
        content:
          application/json:
            schema:
              required:
                - entity_ids
              properties:
                entity_ids:
                  type: array
                  items:
                    type: integer
                    example: 1,2
                client_id:
                  type: string
                new_program:
                  type: string
              type: object
      responses:
        '200':
          description: Entities moved successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Entities successfully moved.
                type: object
        '404':
          description: Entity not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Entity Has Not Been Found.'
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````